dots.v2.droplets.byDroplet_id().destroy_with_associated_resources.dangerous.delete()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.droplets.byDroplet_id(droplet_id).destroy_with_associated_resources.dangerous.delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>

Description

To destroy a Droplet along with all of its associated resources, send a DELETE request to the /v2/droplets/{droplet_id}/destroy_with_associated_resources/dangerous endpoint. The headers of this request must include an X-Dangerous key set to true. To preview which resources will be destroyed, first query the Droplet’s associated resources. This operation can not be reverse and should be used with caution.

A successful response will include a 202 response code and no content. Use the status endpoint to check on the success or failure of the destruction of the individual resources.

Parameters

Path Parameters

droplet_id integer required

Example: 3164444

A unique identifier for a Droplet instance.

Min: 1

Headers

X-Dangerous boolean required

Example: true

Acknowledge this action will destroy the Droplet and all associated resources and _can not_ be reversed.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.droplets
    .byDroplet_id(3164444).destroy_with_associated_resources.dangerous.delete({
    headers: {
        "X-Dangerous": "true",
    },
});

More Information

See /v2/droplets/{droplet_id}/destroy_with_associated_resources/dangerous in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.